Qt 5.6 | Qt 3D | C++ Classes | QBackendNodeFunctor

Qt 5.6.3 Reference Documentation

# QBackendNodeFunctor Class

(Qt3DCore::QBackendNodeFunctor)

- List of all members, including inherited members

## Public Functions

virtual | ~QBackendNodeFunctor()
virtual QBackendNode * | create(QNode *frontend, const QBackendNodeFactory *factory) const = 0
virtual void | destroy(const QNodeId &id) const = 0
virtual QBackendNode * | get(const QNodeId &id) const = 0

## Member Function Documentation

### `[virtual]` QBackendNodeFunctor::~QBackendNodeFunctor()

Destroys the instance of QBackendNodeFunctor. The destructor is virtual.

### `[pure virtual]` QBackendNode *QBackendNodeFunctor::create(QNode *frontend, const QBackendNodeFactory *factory) const

### `[pure virtual]` void QBackendNodeFunctor::destroy(const QNodeId &id) const

### `[pure virtual]` QBackendNode *QBackendNodeFunctor::get(const QNodeId &id) const